package com.ruoyi.board.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 路段分组
 */
@Data
@TableName(value = "pub_road_group")
public class RoadGroup {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    /**
     * 路段名称
     */
    @TableField(value = "road_name")
    private String roadName;

    /**
     * 路段父id
     */
    @TableField(value = "parent_id")
    private Integer parentId;
}